<?php
ini_set('memory_limit', '-1');
ob_start();
$id_persona = trim($_GET['id_persona']);
// $conexion = mysql_connect('localhost', 'root', 'root')or die(mysql_error());//BASE DE DATOS LOCAL
// $postventa = 'postventa';
$conexion = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$postventa = 'pvitls_postventa';
// // //BASES DE DATO
mysql_select_db($postventa,$conexion)or die(mysql_error());
$queryproyecto ="SELECT distinct (p.ABREVIATURA), 
			up.ID_USUARIOXPROYECTO, up.ID_PERSONA, 
			up.ID_PROYECTO FROM tblusuariosxproyectos up 
			INNER JOIN tblproyectos p ON p.ID_PROYECTO = up.ID_PROYECTO
			 INNER JOIN tbletapas e ON e.ID_PROYECTO = p.ID_PROYECTO 
			 INNER JOIN tblconfiguracionetapas ce ON ce.ID_ETAPA = e.ID_ETAPA
			  WHERE ID_PERSONA = '$id_persona'";
$resultado = mysql_query($queryproyecto,$conexion);
require_once dirname(__FILE__).'/../Classes/PHPExcel.php';
$objPHPExcel = new PHPExcel();
  $sheet = $objPHPExcel->getActiveSheet();
     //Start
    $i=0;
    if(mysql_num_rows($resultado) > 0){
 	while($fila = mysql_fetch_array($resultado)){
    $objWorkSheet = $objPHPExcel->createSheet($i); //Setting index when creating
    //Write cell
	$id_proyecto = $fila['ID_PROYECTO'];
    $query2 = "SELECT t.ID_TICKET,
					       pro.NUMERO,
					       mp.ABREVIATURA as MODELO,
					       mc.ABREVIATURA AS EDIFICIO,
					       e.ETAPA,
					       et.ESTADO,
					       tt.TIPOTICKET,
					       t.FEC_REGISTRO AS FechaInicioRequerimiento,
					       perna.NOMBRE,
					       perna.APE_PATERNO,
					       perna.APE_MATERNO,
					       a.AMBIENTE,
					       d.PROBLEMA,
					       d.`OPEN_CLOSE` AS ABIERTOCERRADO,
					       d.REPARADO,
					       r.RESPONSABLE,
					       sc.SUBCATEGORIA,
					       dc.OBSERVACIONES,
					       t.PROPIETARIO,
					       t.R_RELACION,
					       proy.PROYECTO,
					       proy.PROPIO,
					       proy.FECHA_REGISTRO AS MIGRO,
   					       cate.CATEGORIA,
   					       mt.MOTIVO,
   					       t.CANTIDAD,
   					       m.MOVIMIENTO,
   					       mv.FEC_REGISTRO AS FECHACIERRE

				FROM tbltickets t
				      INNER JOIN tblestadotickets et ON et.ID_ESTADOTICKET = t.ID_ESTADOTICKET
				      INNER JOIN tbltipotickets tt ON tt.ID_TIPOTICKET = t.ID_TIPOTICKET
				      INNER JOIN tblpropiedades pro ON pro.ID_PROPIEDAD = t.ID_PROPIEDAD
				      INNER JOIN tblmodelopropiedades mp ON mp.ID_MODELO = pro.ID_MODELO  
				      INNER JOIN tbltipopropiedades tp ON tp.ID_TIPOPROPIEDAD = mp.ID_TIPOPROPIEDAD
				      INNER JOIN tblconfiguracionetapas ce ON ce.ID_DISENOETAPA = pro.ID_DISENOETAPA
				      INNER JOIN tblmodelounidadconstrucciones mc ON mc.ID_MODELOUNIDADCONSTRUCCION = ce.ID_MODELOUNIDADCONSTRUCCION
				      INNER JOIN tbletapas e ON e.ID_ETAPA = ce.ID_ETAPA
				      INNER JOIN tblproyectos proy ON proy.ID_PROYECTO = e.ID_PROYECTO
				      INNER JOIN tblpropietarios pp ON pp.ID_PROPIEDAD = t.ID_PROPIEDAD
				      INNER JOIN tblpersonas per ON per.ID_PERSONA = pp.ID_PERSONA
				      INNER JOIN tblpernaturales perna ON perna.ID_PERNATURAL = per.ID_PERSONA
				      LEFT JOIN tbldetalles d ON d.ID_TICKET = t.ID_TICKET
				      LEFT JOIN tblambientes a ON a.ID_AMBIENTE = d.ID_AMBIENTE
				      LEFT JOIN tbldetallecategorias dc ON dc.ID_DETALLE = d.ID_DETALLE
				      LEFT JOIN tblresponsables r ON dc.ID_RESPONSABLE = r.ID_RESPONSABLE
				      LEFT JOIN tblsubcategorias sc ON sc.ID_SUBCATEGORIA = dc.ID_SUBCATEGORIA
				      LEFT JOIN tblcategorias cate ON cate.ID_CATEGORIA = sc.ID_CATEGORIA
				      LEFT JOIN tblticketcancelados tc ON tc.ID_TICKET = t.ID_TICKET
				      LEFT JOIN tblmotivos mt ON mt.ID_MOTIVO = tc.ID_MOTIVO
				      LEFT JOIN tblticketmovimientos mv ON mv.ID_TICKET = t.ID_TICKET 
				      									AND 
				      									(ID_MOVIMIENTO = '4' OR ID_MOVIMIENTO='5'
				      										OR ID_MOVIMIENTO='10')
				      LEFT JOIN tblmovimientos m ON m.ID_MOVIMIENTO = mv.ID_MOVIMIENTO  
				      WHERE proy.ID_PROYECTO = '$id_proyecto'";
 		$rowcount = 1;
		$resultado2 = mysql_query($query2,$conexion);
		  	 while($fila2 = mysql_fetch_array($resultado2)){
		  	 		$valor ="";
		  	 		$valor2 ="";
		  	 		$propietario = "";

	   				if($fila2["REPARADO"] == 1){
	   					$valor = "Reparado";
	   				}else{
	   					$valor = "Sin Reparar";
	   				}

	   				if($fila2["ABIERTOCERRADO"] == 1){
					    $valor2 = "Cerrado";
	   				}else{
	   					$valor2 = "Abierto";
	   				}
   					if($fila2["PROPIETARIO"] == 1){
					    $propietario = "Si";
	   				}else{
	   					$propietario = "No";
	   				}

			   		$objPHPExcel->setActiveSheetIndex($i)
						->setCellValue('A1','N° Requerimiento')
						->setCellValue('B1', 'Numero')
						->setCellValue('C1', 'Proyecto')
						->setCellValue('D1', 'Migro')
						->setCellValue('E1', 'Etapa')
						->setCellValue('F1', 'Edificio')
						->setCellValue('G1', 'Modelo')
						->setCellValue('H1', 'Tipo Ticket')
						->setCellValue('I1', 'Estado Ticket')
						->setCellValue('J1', 'Fecha Registro')
						->setCellValue('K1', 'Fecha Cierre')
						->setCellValue('L1', 'Movimiento')
				   		->setCellValue('M1', 'Ambiente')
				   		->setCellValue('N1', 'Categoría')
		   				->setCellValue('O1', 'Subcategoria')
		   				->setCellValue('P1', 'Responsable')
		   				->setCellValue('Q1', 'Reparado')
		   				->setCellValue('R1', 'Abierto/Cerrado')
		   				->setCellValue('S1', 'Es Propietario')
		   				->setCellValue('T1', 'Cantidad')
		   				->setCellValue('U1', 'Relación')
		   				->setCellValue('V1', 'Motivo Cancelación');

		
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(0, $rowcount+1, utf8_encode($fila2['ID_TICKET'])); 
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(1, $rowcount+1, utf8_encode($fila2['NUMERO'])); 
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(2, $rowcount+1, utf8_encode($fila2['PROYECTO']));
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(3, $rowcount+1, utf8_encode($fila2['MIGRO']));
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(4, $rowcount+1, utf8_encode($fila2['ETAPA']));
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(5, $rowcount+1, utf8_encode($fila2['EDIFICIO'])); 
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(6, $rowcount+1, utf8_encode($fila2['MODELO'])); 
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(7, $rowcount+1, utf8_encode($fila2['TIPOTICKET'])); 
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(8, $rowcount+1, utf8_encode($fila2['ESTADO']));
			   			$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(9, $rowcount+1, utf8_encode($fila2['FechaInicioRequerimiento'])); 
			   			$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(10, $rowcount+1, utf8_encode($fila2['FECHACIERRE'])); 
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(11, $rowcount+1, utf8_encode($fila2['MOVIMIENTO'])); 

				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(12, $rowcount+1, utf8_encode($fila2['AMBIENTE'])); 
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(13, $rowcount+1, utf8_encode($fila2['CATEGORIA']));
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(14, $rowcount+1, utf8_encode($fila2['SUBCATEGORIA'])); 
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(15, $rowcount+1, utf8_encode($fila2['RESPONSABLE'])); 
			   		    $objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(16, $rowcount+1,$valor); 
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(17, $rowcount+1, $valor2); // returns true)
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(18, $rowcount+1, $propietario);
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(19, $rowcount+1, utf8_encode($fila2['CANTIDAD'])); 
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(20, $rowcount+1, utf8_encode($fila2['R_RELACION']));
				   		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(21, $rowcount+1, utf8_encode($fila2['MOTIVO']));

				   		$objPHPExcel->getActiveSheet()->getSheetView()->setZoomScale(75);
	/*			   		$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(100);
						$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('G')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('H')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('I')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('J')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('K')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('L')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('M')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('N')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('O')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('P')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('Q')->setAutoSize(true);
						$objPHPExcel->getActiveSheet()->getColumnDimension('S')->setAutoSize(true);*/
  						$rowcount++;
			   }
    $objWorkSheet->setTitle(utf8_encode($fila['ABREVIATURA']));
    $i++;
	}
}

header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="Reporte General.xls"');
header('Cache-Control: max-age=0');
header('Cache-Control: max-age=1');
header ('Cache-Control: cache, must-revalidate');
header ('Pragma: public');
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
$objWriter->save('php://output');
?>